如何安装 libblis-pthread-dev Debian 10

了解如何安装 libblis-pthread-dev Debian 10 通过本教程。 libblis-pthread-dev 是类似 BLAS 的库实例化软件框架

介绍

在本教程中我们学习如何安装 libblis-pthread-dev 在 Debian 10.

什么是 libblis-pthread-dev

libblis-pthread-dev 是:

BLIS 是一个便携式软件框架,用于实例化高性能的类似 BLAS 的密集线性代数库。 该框架旨在隔离基本的计算内核,优化后,可以立即实现大多数常用和计算密集型操作的优化实现。 BLIS 采用 ISO C99 编写,可根据新的/修改的/3 条款 BSD 许可证使用。 虽然 BLIS 导出了一个新的类似 BLAS 的 API,但它还包括一个 BLAS 兼容层,使应用程序开发人员可以通过传统的 BLAS 例程调用访问 BLIS 实现。 更有经验的用户也可以使用基于对象的 API。

该软件包包含 pthread 版本的开发文件。

有三种安装方法 libblis-pthread-dev 在 Debian 10.我们可以使用 apt-get, aptaptitude。 在以下部分中,我们将描述每种方法。 您可以选择其中之一。

使用 apt-get 安装 libblis-pthread-dev

更新 apt 数据库 apt-get 使用以下命令。

更新apt数据库后,我们可以安装 libblis-pthread-dev 使用 apt-get 通过运行以下命令:

sudo apt-get -y install libblis-pthread-dev

使用 apt 安装 libblis-pthread-dev

更新 apt 数据库 apt 使用以下命令。

更新apt数据库后,我们可以安装 libblis-pthread-dev 使用 apt 通过运行以下命令:

sudo apt -y install libblis-pthread-dev

使用 aptitude 安装 libblis-pthread-dev

如果您想遵循此方法,您可能需要先安装 aptitude,因为 aptitude 通常不会默认安装 Debian。 更新 apt 数据库 aptitude 使用以下命令。

更新apt数据库后,我们可以安装 libblis-pthread-dev 使用 aptitude 通过运行以下命令:

sudo aptitude -y install libblis-pthread-dev

如何卸载 libblis-pthread-dev Debian 10

仅卸载 libblis-pthread-dev 打包我们可以使用以下命令:

sudo apt-get remove libblis-pthread-dev

卸载 libblis-pthread-dev 及其依赖项

卸载 libblis-pthread-dev 及其不再需要的依赖项 Debian 10、我们可以使用下面的命令:

sudo apt-get -y autoremove libblis-pthread-dev

删除 libblis-pthread-dev 配置和数据

去除 libblis-pthread-dev 配置和数据来自 Debian 10.我们可以使用如下命令:

sudo apt-get -y purge libblis-pthread-dev

删除 libblis-pthread-dev 配置、数据及其所有依赖项

我们可以使用下面的命令来删除 libblis-pthread-dev 配置、数据及其所有依赖项,我们可以使用以下命令:

sudo apt-get -y autoremove --purge libblis-pthread-dev

依赖关系

libblis-pthread-dev 具有以下依赖项:

参考

概括

在本教程中我们学习如何安装 libblis-pthread-dev 封装在 Debian 10. 使用不同的包管理工具: apt, apt-getaptitude